6 ; % $ ( ) 0

; -----------------------------------------------------------------------------
;      Supporting decimal numbers
;      1 Layer = 1/10mm Milling Depth (#2%ln/10)
;      ARC command, for machines supporting arcs.
;      M30 (end) command is added to the 'Close down instruction'
; -----------------------------------------------------------------------------

;	Name of plotter
CNC 40x30cm

; -----------------------------------------------------------------------------
;			Paper sizes
; -----------------------------------------------------------------------------

;	No of paper sizes
1

; -----------------------------------------------------------------------------
;			Details of papersize
; -----------------------------------------------------------------------------

;Name of papersize
max. 400x300 mm
;Code for size
3

;	X & Y offsets (in plotter units) of the bottom-left corner of the 
;	plotter image (ie. the rectangle defining the plottable area) from
;	bottom-left of the relevant plotter paper .
;	These values should normally be positive, if they are negative the
;	plotter image is centered relative to the system paper .
;	If the offsets are positive, the plotter image is positioned onto
;	the system paper accordingly .

-999 -999

;Range of plotting co_ordinates - bottom left (x,y)  -> top right (x,y)
0 0
40001 30001

;Plotter units / mm
100

;Handedness of coords
Right

;Home counter
0

;start up instruction: initialise plotter = "%", G90 = absolute coordinates,
;M03 = tool on, G00 Z500 = move z-axis 5mm above workpiece before starting
%%%0D%0AG90 M03%0D%0AG00 Z5.00%0D%0A$

;Close down instruction: G74 M05 = Referenz move, tool off
;M30 = end of program
G74 M05%0D%0AM30%0D%0A$

;Number of linetypes (type 2 PDF only)
0

;Line type instructions (type 2 PDF only)

; =============================================================================
;	PLOTTING COMMANDS - THE 12 COMMANDS APPEAR IN THE ORDER SHOWN
;	THE VARIABLE PARTS REPRESENT THE FOLLOWING -
;
; 		xs	 x start co_ordinate of line/arc
;		ys	 y start co_ordinate of line/arc
;		xe     	 x end co_ordinate of line/arc 
;		ye	 y end co_ordinate of line/arc
;		xc	 x centre co_ordinate of circle/arc
;		yc	 y centre co_ordinate of circle/arc				    
;		rd	 radius of circle/arc
;		ca	 chord angle (in degrees) used for arc plotting
;		ra	 semi major axis of ellipse
;		rb	 semi minor axis of ellipse
;		a1	 start angle of arc to horizontal
;		a2	 end angle of arc to horizontal
;		as	 angle subtended by arc at centre
;		pn	 pen number
;		ps	 pen speed
;		pp	 pen pressure
;
;		tv 	 Number of vectors		     	
;		zu 	 Distance in units 		     
; 		zm 	 Distance in mm 		     
; 		zi 	 Distance in inches 		     
; 		rm 	 Distance on drawing in mm (i.e scaled) 
; 		ri 	 Distance on drawing in inches 
; 		ls 	 output text as labels instead of breaking it down
;			 into vectors
;
;	THESE BELOW ARE USEFUL IN START UP COMMAND (see Post.plt)
; 		cr 	 Creator id			     
; 		ti 	 Title			     
; 		da 	 Date and time		     
; 		lx 	 Lower left x of bounding box	     
; 		ly  	 Lower left y of bounding box	     
; 		ux 	 Upper right x of bounding box
; 		uy 	 Upper right y of bounding box
;		lp	 current library path
;		id	 number of networked user
;		un	 name of networked user
; 
;	AND SOME MORE
;
;		mi	 index page that the current insert was loaded from.
;			 This is initialized to the index page that the
;			 drawing was loaded from
;		mp	 index page position that the current insert was 
;			 loaded from. This is initialized to the index page 
;			 position that the drawing was loaded from
;
;		cc	 running total of the number of inserts
;		cx	 x position of the latest insert 
;		cy	 y position of the latest insert
;
;		dc	 running total of the number of findable points
;		dx	 x position of the latest findable point
;		dy	 y position of the latest findable point
;
;		ln	 layer number of current record
;		lc	 layer colour of current record (overrides ignored)
;		ll	 layer linestyle of current record (overrides ignored)
;
;		tc	 running total of number of text records
;		tx	 x position of latest text record
;		ty	 y position of latest text record
;		tr	 rotation of latest text record
;		th	 height of latest text record
;		fn	 font number of latest text record
;
;	THE STRING %0D%0A will give a carriage return linefeed sequence.
;
;
;
;	IF A COMMAND IS NOT PROVIDED THIS IS INDICATED BY
;	<variable-specifier>none<instruction-terminator>   	eg . %none$
; =============================================================================

;Number of commands (type 2 PDF only)

15

;Line from current point, move z-axis first
G01 Z-(#2%ln/10)%0D%0AG01 X(#2%xe/100) Y(#2%ye/100)%0D%0A$

;Line between 2 points, move z-axis first
G00 Z0.50%0D%0AG00 X(#2%xs/100) Y(#2%ys/100)%0D%0AG01 Z-(#2%ln/10)%0D%0AG01 X(#2%xe/100) Y(#2%ye/100)%0D%0A$

;Circle: pen-up to "virtual" startpoint, then centrepoint
;always the z-axis has to be moved first
G00 Z0.50%0D%0AG00 X(#2%xc/100-2#%rd/100) Y(#2%yc/100)%0D%0AG01 Z-(#2%ln/10)%0D%0AG02 I(#2%xc/100) J(#2%yc/100)%0D%0A$
;%none$

;CW circular arc from current point, move z-axis first
G01 Z(#2-%ln/10)%0D%0AG02 X(#2%xe/100) Y(#2%ye/100) I(#2%xc/100) J(#2%yc/100)%0D%0A$
;%none$

;A/CW circular arc from current point, move z-axis first
G01 Z(#2-%ln/10)%0D%0AG03 X(#2%xe/100) Y(#2%ye/100) I(#2%xc/100) J(#2%yc/100)%0D%0A$
;%none$

;CW circular arc between 2 points, move z-axis first
G00 Z0.50%0D%0AG00 X(#2%xs/100) Y(#2%ys/100)%0D%0AG01 Z-(#2%ln/10)%0D%0AG02 X(#2%xe/100) Y(#2%ye/100) I(#2%xc/100) J(#2%yc/100)%0D%0A$
;%none$

;A/CW circular arc between 2 points, move z-axis first
G00 Z0.50%0D%0AG00 X(#2%xs/100) Y(#2%ys/100)%0D%0AG01 Z-(#2%ln/10)%0D%0AG03 X(#2%xe/100) Y(#2%ye/100) I(#2%xc/100) J(#2%yc/100)%0D%0A$
;%none$

;No Ellipse 
%none$

;No CW elliptical arc from current point
%none$

;No A/CW elliptical arc from current point
%none$

;No CW elliptical arc between 2 points
%none$

;No A/CW elliptical arc between 2 points
%none$

;Text
;%ls$ will produce text as labels INSTEAD of vectors
;Replace this line with %NONE$ as soon as you don't want
;to have the generation of TEXT-labels.
;%ls%0D%0A$
%none$

;Findable point
;point ;%dc @%dx, %dy%0D%0A$
%none$

;Copy record
%none$

; -----------------------------------------------------------------------------
;			Pen parameters
; -----------------------------------------------------------------------------

;No. of pens - maximum 16
1

;Number of 1st pen , 0 or 1
1

;Select pen instruction
;Command for TOOL-CHANGE: M06 T%pn%0D%0A$
%none$

;No. of linetypes
0

;Select feet rate
F%ps%0D%0A$

;No. of different pen speeds - maximum 16
12

;Position of default speed in table
3

;Table of actual pen speeds
100 200 360 400 500 600 700 800 900 1000 1100 1200

;Select pen pressure instruction
%none$

; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;	If the pen pressure instruction is not provided by a plotter (ie %none$)
;	then the next 3 parameters do not appear in the PDF .
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

;No. of pen pressures - maximum 16
;8

;Position of default pressure in table
;2

;Table of actual pen pressures
;1 2 3 4 5 6 7 8

; -----------------------------------------------------------------------------
;	PARAMETERS DEFINING THE PLOTTING OF ARCS
; -----------------------------------------------------------------------------

;The arc chord angle in degrees. This is the angle subtended at the centre by
;the straight line segment used to plot circular arcs, it therefore indicates
;the 'smoothness' for the plotting of circular and elliptical arcs .
5.0

;Minimum step length (in mm)  to be used for arcs .
;This will override the 'arc chord angle' parameter if necessary .
1.0

;Minimum number of steps to plot any arc .
3

;Maximum step length (in mm) to be used for arcs .
;This will override the 'arc chord angle' parameter if necessary .
5.0

;Text height (in mm) below which text is plotted with lines only
3.0
