* % $

* -----------------------------------------------------------------------------
*	THIS IS AN EXAMPLE OF THE FORMAT OF PLOTTER DESCRIPTOR FILES (PDF) .
*	IT WILL IN FACT DRIVE THE ROLAND DPX2200.
* -----------------------------------------------------------------------------

*	Name of plotter
ROLAND DPX 2200

* -----------------------------------------------------------------------------
*			Paper sizes
* -----------------------------------------------------------------------------

*	No of paper sizes - maximum 12
6

* -----------------------------------------------------------------------------
*			Details of 1st size
* -----------------------------------------------------------------------------

*Name of 1st size
ISO A2
*Code for size
2

*	The possible values of the 'Code for size' parameter are -
*
*	0 -> 5  for paper sizes A0 -> A5
*	6 -> 10  "    "	   "    A  -> E
*      11 -> 13  "    "	   "    Arch C -> Arch E



*	X & Y offsets (in plotter units) of the bottom-left corner of the
*	plotter image (ie. the rectangle defining the plottable area) from
*	bottom-left of the relevant plotter paper .
*	These values should normally be positive, if they are negative the
*	plotter image is centered relative to the system paper .
*	If the offsets are positive, the plotter image is positioned onto
*	the system paper accordingly .

-999 -999

*Range of plotting co_ordinates - bottom left (x,y)  -> top right (x,y)
-12360 -8400
11400 8400

*Plotter units / mm
40

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	The next 2 parameters are not used at present, but must nevertheless
*	appear as shown .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction
PU -12360,-8400;SP0; $


* -----------------------------------------------------------------------------
*			Details of 2nd size
* -----------------------------------------------------------------------------

*Name of 2nd size
ISO A3

*Code for size
3

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left hand, top right coords
-8800 -5940
7920 5940

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction
PU -12360,-8400;SP0; $


* -----------------------------------------------------------------------------
*			Details of 3rd size
* -----------------------------------------------------------------------------

*Name of 3rd size
ISO A4

*Code for size
4

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-4680 -5940
3720 5940

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -12360,-8400;SP0; $


* -----------------------------------------------------------------------------
*			Details of 4th size
* -----------------------------------------------------------------------------

*Name of 4th size
ANSI C

*Code for size
8

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-11660 -8640
10700 8640

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -12360,-8400;SP0; $


* -----------------------------------------------------------------------------
*			Details of 5th size
* -----------------------------------------------------------------------------

*Name of 6th size
ANSI B

*Code for size
7

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-9120 -5590
8160 5590

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -12360,-8400;SP0; $


* -----------------------------------------------------------------------------
*			Details of 6th size
* -----------------------------------------------------------------------------

*Name of 7th size
ANSI A

*Code for size
6

*x,y offset of plotter image from bottom-left
-999 -999
*Bottom left, top right hand coords
-4800 -5590
3840 5590

*Plotter units / mm
40

*Handedness of coords
Right

*Home counter
0

*start up instruction - initialise plotter
IN;$

*Close down instruction - home paper, return pen to carousel
PU -12360,-8400;SP0; $


* =============================================================================
*	PLOTTING COMMANDS - THE 12 COMMANDS APPEAR IN THE ORDER SHOWN
*	THE VARIABLE PARTS REPRESENT THE FOLLOWING -
*
* 		xs	 x start co_ordinate of line/arc
*		ys	 y start co_ordinate of line/arc
*		xe     	 x end co_ordinate of line/arc
*		ye	 y end co_ordinate of line/arc
*		xc	 x centre co_ordinate of circle/arc
*		yc	 y centre co_ordinate of circle/arc				
*		rd	 radius of circle/arc
*		ca	 chord angle (in degrees) used for arc plotting
*		ra	 semi major axis of ellipse
*		rb	 semi minor axis of ellipse
*		a1	 start angle of arc to horizontal
*		a2	 end angle of arc to horizontal
*		as	 angle subtended by arc at centre
*		pn	 pen number
*		ps	 pen speed
*		pp	 pen pressure
*
*		 tv 	 Number of vectors		     	
*		 zu 	 Distance in units 		
*		 zm 	 Distance in mm 		
*		 zi 	 Distance in inches 		
*		 rm 	 Distance on drawing in mm (i.e scaled)
*		 ri 	 Distance on drawing in inches
*		 ls 	 label string  (See Comment on Text Height)
*
*	THESE BELOW ARE USEFUL IN START UP COMMAND (see Post.plt)
*		 cr 	 Creator id			
*		 ti 	 Title			
*		 da 	 Date and time		
*		 lx 	 Lower left of bounding box	
*		 ly
*		 ux 	 Upper right of bounding box	    *
*		 uy
*
*	THE STRING %0D%0A will give a carriage return linefeed sequence.
*
*
*
*	IF A COMMAND IS NOT PROVIDED THIS IS INDICATED BY
*	<variable-specifier>none<instruction-terminator>   	eg . %none$
* =============================================================================

*Line from current point
PD %xe,%ye;$

*Line between 2 points
PU %xs,%ys;PD %xe,%ye;$

*Circle
PU %xc,%yc;CI %rd,%ca;$

*CW circular arc from current point
PD;AA %xc,%yc,-%as,%ca;$

*A/CW circular arc from current point
PD;AA %xc,%yc,%as,%ca;$

*CW circular arc between 2 points
PU %xs,%ys;PD;AA %xc,%yc,-%as,%ca;$

*A/CW circular arc between 2 points
PU %xs,%ys;PD;AA %xc,%yc,%as,%ca;$

*Ellipse
%none$

*CW elliptical arc from current point
%none$

*A/CW elliptical arc from current point
%none$

*CW elliptical arc between 2 points
%none$

*CW elliptical arc between 2 points
%none$

* -----------------------------------------------------------------------------
*			Pen parameters
* -----------------------------------------------------------------------------

*No. of pens - maximum 16
8

*Number of 1st pen , 0 or 1
1

*Select pen instruction
SP %pn;$

*No. of linetypes
8

* -----------------------------------------------------------------------------
*	The line types defined below are selected to match as close as possible
*	the 8 line types used by the system .
*	If you wish to alter the definitions please refer to the plotter
*	manual .
*
*       (For HPGL plotters, the 2 parameters to the LT instruction refer to
*	pattern number and pattern length, the latter is expressed as a
*	percentage of the distance between the scaling points P1 and P2 .)
* ------------------------------------------------------------------------------

*Line type instructions
LT;$
LT 1,0.2;$
LT 1,0.8;$
LT 2,0.8;$
LT 3,0.8;$
LT 2,1.6;$
LT 4,2.4;$
LT 5,2.4;$

*Select pen speed instruction
VS %ps;$

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	If the pen speed instruction is not provided by a plotter (ie %none$)
*	then the next 3 parameters do not appear in the PDF .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*No. of different pen speeds - maximum 16
8

*Position of default speed in table
8

*Table of actual pen speeds
2 4 6 8 10 15 20 45

*Select pen presure instruction
FS %pp;$

* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	If the pen pressure instruction is not provided by a plotter (ie %none$)
*	then the next 3 parameters do not appear in the PDF .
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

*No. of pen pressures - maximum 16
16

*Position of default pressure in table
2

*Table of actual pen pressures
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16

* -----------------------------------------------------------------------------
*	PARAMETERS DEFINING THE PLOTTING OF ARCS
* -----------------------------------------------------------------------------

*The arc chord angle in degrees. This is the angle subtended at the centre by
*the straight line segment used to plot circular arcs, it therefore indicates
*the 'smoothness' for the plotting of circular and elliptical arcs .
5.0


*Minimum step length (in mm)  to be used for arcs .
*This will override the 'arc chord angle' parameter if necessary .
1.0

*Minimum number of steps to plot any arc .
3

*Maximum step length (in mm) to be used for arcs .
*This will override the 'arc chord angle' parameter if necessary .
5.0

*Text height (in mm) below which text is plotted with lines only
3.0
* You can output text as labels instead of as vectors. The string %ls
* will be replaced by the label and this is the only command terminated
* by a space. You must replace the text height by this command line.
* E.G:-
* %lsHELLO%0D%0A will give ouput of labels with the addition of HELLO <cr>
